> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mindfort.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Discovery Run



## OpenAPI

````yaml /openapi.json post /v1/discovery/runs
openapi: 3.1.0
info:
  title: MindFort API
  version: 1.0.0
  description: >-
    The MindFort Public API supports targets, Discovery, assessments, finding
    lifecycle and analytics, and reports. Informational non-vulnerable results
    are labeled `secured`.
servers:
  - url: https://api.mindfort.app
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/discovery/runs:
    post:
      tags:
        - Discovery
      summary: Start Discovery Run
      operationId: startDiscoveryRun
      responses:
        '202':
          description: Discovery run queued
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicDiscoveryRunResponse'
components:
  schemas:
    PublicDiscoveryRunResponse:
      type: object
      description: >-
        Use run_id to identify the discovery run and GET /v1/discovery to follow
        its progress. Additional response fields may be present; clients should
        ignore fields they do not use.
      properties:
        run_id:
          type: string
        status:
          type: string
          const: queued
      required:
        - run_id
        - status
      additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key generated from the MindFort dashboard. Pass as `Authorization:
        Bearer <your-api-key>`.

````